<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="V5Shop.Web.staticpage" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="V5Shop.Common" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.Caching" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by V5Shop Template Engine at 2009-5-15 23:25:07.
		本页面代码由V5Shop模板引擎生成于 2009-5-15 23:25:07. 
	*/

	base.OnInit(e);
	templateBuilder.Append("var tempStr = \"\";\r\n");
	templateBuilder.Append("var flag = 0;\r\n");
	templateBuilder.Append("document.write('<layer>');\r\n");
	templateBuilder.Append("document.write('<div id=\"floater\" style=\"RIGHT:0px; OVERFLOW:visible; POSITION:absolute; TOP:125px; right:0px;\">');\r\n");
	templateBuilder.Append("document.write('<table width=\"100\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">');\r\n");
	templateBuilder.Append("document.write('	<tr>');\r\n");
	templateBuilder.Append("document.write('		<td width=\"100\" scope=\"row\" height=20></td>');\r\n");
	templateBuilder.Append("document.write('	</tr>');\r\n");
	templateBuilder.Append("document.write('	<tr>');\r\n");
	templateBuilder.Append("document.write('		<td width=\"100\" scope=\"row\"><img src=\"images/QQ/upx.gif\" width=\"110\" height=\"58\"></td>');\r\n");
	templateBuilder.Append("document.write('	</tr>');\r\n");
	templateBuilder.Append("document.write('	<tr>');\r\n");
	templateBuilder.Append("document.write('		<td scope=\"row\" width=\"110\"><table width=\"100%\" background=\"images/QQ/mid.gif\">			');\r\n");
	templateBuilder.Append("\r\n");
	
	int onlinetool__loop__id=0;
	foreach(DataRow onlinetool_member in getTable("onlinetool").Rows)
	{
		onlinetool__loop__id++;
	templateBuilder.Append(" flag = 1;\r\n");
	
	if(onlinetool_member["tooltype"].ToString()== "qq"){
	templateBuilder.Append("tempStr = '<tr><td align=\"center\"><a target=blank href=\"tencent://message/?uin=" + onlinetool_member["toolnumber"].ToString() + "&Site=" + webname.ToString() + "&Menu=yes\"><img border=\"0\" SRC=\"http://wpa.qq.com/pa?p=1:" + onlinetool_member["toolnumber"].ToString() + ":1\" alt=\"" + onlinetool_member["name"].ToString() + "\"></a></td></tr>';\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(onlinetool_member["tooltype"].ToString()== "msn"){
	templateBuilder.Append("tempStr = '			<tr><td align=\"center\"><a target=blank href=\"msnim:chat?contact=" + onlinetool_member["toolnumber"].ToString() + "\"><img border=\"0\" SRC=\"Images/QQ/style5on.gif\" alt=\"" + onlinetool_member["name"].ToString() + "\"></a></td></tr>';\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(onlinetool_member["tooltype"].ToString()== "ww"){
	templateBuilder.Append("tempStr = '			<tr><td align=\"center\"><a target=blank href=\"http://amos1.taobao.com/msg.ww?v=2&uid=" + onlinetool_member["toolnumber"].ToString() + "&s=1\"><img border=\"0\" SRC=\"http://amos1.taobao.com/online.ww?v=2&uid=" + onlinetool_member["toolnumber"].ToString() + "&s=1\" alt=\"" + onlinetool_member["name"].ToString() + "\"></a></td></tr>';\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(onlinetool_member["tooltype"].ToString()== "skype"){
	templateBuilder.Append("tempStr = '			<tr><td align=\"center\"><a target=blank href=\"callto://" + onlinetool_member["toolnumber"].ToString() + "\"><img border=\"0\" SRC=\"http://goodies.skype.com/graphics/skypeme_btn_small_green.gif\" alt=\"" + onlinetool_member["name"].ToString() + "\"></a></td></tr>';\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(onlinetool_member["tooltype"].ToString()== "myt"){
	templateBuilder.Append("tempStr = '			<tr><td align=\"center\"><a target=blank href=\"http://scs1.sh1.china.alibaba.com/msg.atc?v=1&amp;uid=" + onlinetool_member["toolnumber"].ToString() + "\"><img border=\"0\" SRC=\"http://scs1.sh1.china.alibaba.com/online.atc?v=1&amp;uid=" + onlinetool_member["toolnumber"].ToString() + "&s=102\" alt=\"" + onlinetool_member["name"].ToString() + "\" width=\"100\"></a></td></tr>';\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	templateBuilder.Append("document.write(tempStr);\r\n");
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("\r\n");
	templateBuilder.Append("document.write('		</table></td>');\r\n");
	templateBuilder.Append("document.write('	</tr>');\r\n");
	templateBuilder.Append("document.write('	<tr>');\r\n");
	templateBuilder.Append("document.write('		<td width=\"110\" height=\"52\" align=\"center\" background=\"images/QQ/bottom.gif\" scope=\"row\"><img src=\"images/QQ/bottom.gif\" width=\"110\" height=\"52\"></td>');\r\n");
	templateBuilder.Append("document.write('	</tr>');\r\n");
	templateBuilder.Append("document.write('</table>');\r\n");
	templateBuilder.Append("document.write('</div>');\r\n");
	templateBuilder.Append("document.write('</layer>');\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("if(flag == 0){\r\n");
	templateBuilder.Append("	document.getElementById(\"floater\").style.display = \"none\";\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("document.write('<script type=\"text/javascript\" src=\"js/serviceqq2.js\"></"+"script>');\r\n");
	templateBuilder.Append("//判断在线状态\r\n");
	templateBuilder.Append("//var online = new Array();\r\n");
	templateBuilder.Append("//document.write('	<script src=\"http://webpresence.qq.com/getonline?Type=1&\"></"+"script>');\r\n");
	
	Response.Write(templateBuilder.ToString());
//init cache
	CacheManager testcaching = CacheFactory.GetCacheManager();
	if(!testcaching.Contains(Request.Url.ToString()))
	{
		testcaching.Add(Request.Url.ToString(), templateBuilder.ToString());
	}
}
</script>
